Android Alternative To The Applanet - Blackmart

Blackmart, have new Applanet and it works!!!



Version: 0.49.92
Requirements: Android 2.1 or higher
Language: multi5